libswitch-perl_2.17-2_all.deb


Advertisement

Description

libswitch-perl - switch statement for Perl

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libswitch-perl
Package version 2.17
Package release 2
Package architecture all
Package type deb
Installed size 76 B
Download size 20.04 KB
Official Mirror ftp.br.debian.org
Switch.pm implements a generalized case mechanism that covers many
possible combinations of switch and case values.
This is an obsolete module provided for compatiblity since it is being
removed from the core. For perl 5.10 and above the "given/when" builtins
are much preferred.

Alternatives

Package Version Architecture Repository
libswitch-perl_2.17-2_all.deb 2.17 all Debian Main
libswitch-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libswitch-perl_2.17-2_all.deb
Source Package libswitch-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libswitch-perl deb package:
    # sudo apt-get install libswitch-perl

Files

Path
/usr/share/doc/libswitch-perl/README
/usr/share/doc/libswitch-perl/changelog.Debian.gz
/usr/share/doc/libswitch-perl/changelog.gz
/usr/share/doc/libswitch-perl/copyright
/usr/share/man/man3/Switch.3pm.gz
/usr/share/perl5/Switch.pm

Changelog

2014-09-23 - Axel Beckert <abe@debian.org>
libswitch-perl (2.17-2) unstable; urgency=medium
* Team upload
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Axel Beckert ]
* Import patch from FreeBSD which fixes errors with recent Filter.pm
versions. (Closes: #762598)
* Bump Standards-Version to 3.9.6 (no changes needed)
2014-04-23 - Florian Schlichting <fsfs@debian.org>
libswitch-perl (2.17-1) unstable; urgency=low
* Team upload
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
* Remove perl-modules from Depends.
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ Florian Schlichting ]
* Import Upstream version 2.17
* Update upstream contact
* Update stand-alone license paragraphs to commonly used version (not
limiting Debian to GNU/Linux, directly linking to GPL-1)
* Bump dh compatibility to level 8
* Declare compliance with Debian Policy 3.9.5
* Drop fix-5.14-build-failure.patch, applied upstream
* Demote Priority to optional, now that Perl no longer depends on us
2011-07-31 - Dominic Hargreaves <dom@earth.li>
libswitch-perl (2.16-2) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Dominic Hargreaves ]
* Set Priority: standard for the wheezy release cycle, during which
the perl package will pull this in (see: #629472)
* Apply patch fixing 5.14 build failure (Closes: #629287)
* Switch to dpkg-source 3.0 (quilt) format
* Improve description (thanks Lintian)
* Update Standards-Version (no changes)
2010-05-12 - Dominic Hargreaves <dom@earth.li>
libswitch-perl (2.16-1) unstable; urgency=low
* Initial Release. (Closes: #580059)

See Also

Package Description
libsword-common_1.7.3+dfsg-2_all.deb common settings and module repository for libsword
libsword-dev_1.7.3+dfsg-2_amd64.deb Development files for libsword
libsword-utils_1.7.3+dfsg-2_amd64.deb conversion utilities for bible documents in SWORD supported formats
libsword11_1.7.3+dfsg-2_amd64.deb API/library for bible software
libswscale-dev_11.12-1~deb8u1_amd64.deb Development files for libswscale
libswscale3_11.12-1~deb8u1_amd64.deb Libav video scaling library
libswt-cairo-gtk-3-jni_3.8.2-3_amd64.deb Standard Widget Toolkit for GTK+ Cairo JNI library
libswt-cairo-gtk-4-jni_4.3.2-1_amd64.deb Standard Widget Toolkit for GTK+ Cairo JNI library
libswt-glx-gtk-3-jni_3.8.2-3_amd64.deb Standard Widget Toolkit for GTK+ GLX JNI library
libswt-glx-gtk-4-jni_4.3.2-1_amd64.deb Standard Widget Toolkit for GTK+ GLX JNI library
libswt-gnome-gtk-3-jni_3.8.2-3_amd64.deb Standard Widget Toolkit for GTK+ GNOME JNI library
libswt-gnome-gtk-4-jni_4.3.2-1_amd64.deb Standard Widget Toolkit for GTK+ GNOME JNI library
libswt-gtk-3-java-gcj_3.8.2-3_amd64.deb Standard Widget Toolkit for GTK+ native library
libswt-gtk-3-java_3.8.2-3_amd64.deb Standard Widget Toolkit for GTK+ Java library
libswt-gtk-3-jni_3.8.2-3_amd64.deb Standard Widget Toolkit for GTK+ JNI library
Advertisement
Advertisement